<?php

namespace Soft_Tehnica\Freya_Sync_Service\STUtils;

use Jenssegers\Blade\Blade;

class STView
{
    public static function render($view, $params = [])
    {
        $blade = new Blade(fsRootPath . '/views', fsRootPath . '/cache');
        try {
            return $blade->render($view, $params);
        } catch (\Throwable $exception) {
            return $exception->getMessage() . ' - ' . $exception->getFile() . ' - ' . $exception->getLine();
        }
    }
}
